다음을 통해 공유


App Service Environments - Get Vip Info

App Service Environment에 할당된 IP 주소 가져오기에 대한 설명입니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/hostingEnvironments/{name}/capacities/virtualip?api-version=2025-05-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
name
path True

string

App Service Environment의 이름입니다.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

AddressResponse

Azure 작업이 성공적으로 완료되었습니다.

Other Status Codes

DefaultErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Get IP addresses assigned to an App Service Environment.

샘플 요청

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/capacities/virtualip?api-version=2025-05-01

샘플 응답

{
  "name": "test-ase",
  "type": "Microsoft.Web/hostingEnvironments/capacities",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/capacities/virtualip",
  "properties": {
    "internalIpAddress": null,
    "outboundIpAddresses": [
      "20.112.141.120"
    ],
    "serviceIpAddress": "20.112.141.120",
    "vipMappings": [
      {
        "inUse": false,
        "internalHttpPort": 20003,
        "internalHttpsPort": 20001,
        "serviceName": null,
        "virtualIP": "20.112.141.135"
      },
      {
        "inUse": false,
        "internalHttpPort": 20004,
        "internalHttpsPort": 20002,
        "serviceName": null,
        "virtualIP": "20.112.141.150"
      }
    ]
  }
}

정의

Name Description
AddressResponse

기본 공용 IP 주소 및 추가 가상 IP에 대해 설명합니다.

createdByType

리소스를 만든 ID의 형식입니다.

DefaultErrorResponse

App Service 오류 응답입니다.

DefaultErrorResponseError

오류 모델입니다.

DefaultErrorResponseErrorDetailsItem

자세한 오류입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

VirtualIPMapping

가상 IP 매핑.

AddressResponse

기본 공용 IP 주소 및 추가 가상 IP에 대해 설명합니다.

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

리소스 종류입니다.

name

string

리소스의 이름

properties.internalIpAddress

string

내부 부하 분산 모드에 있는 경우 App Service Environment의 Virtual Network 내부 IP 주소입니다.

properties.outboundIpAddresses

string[]

아웃바운드 연결에 표시되는 IP 주소입니다.

properties.serviceIpAddress

string

기본 공용 가상 IP.

properties.vipMappings

VirtualIPMapping[]

추가 가상 IP.

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service 오류 응답입니다.

Name 형식 Description
error

DefaultErrorResponseError

오류 모델입니다.

DefaultErrorResponseError

오류 모델입니다.

Name 형식 Description
code

string

프로그래밍 방식으로 오류를 식별하기 위한 표준화된 문자열입니다.

details

DefaultErrorResponseErrorDetailsItem[]

자세한 오류입니다.

innererror

string

디버그 오류에 대한 자세한 정보입니다.

message

string

자세한 오류 설명 및 디버깅 정보.

target

string

자세한 오류 설명 및 디버깅 정보.

DefaultErrorResponseErrorDetailsItem

자세한 오류입니다.

Name 형식 Description
code

string

프로그래밍 방식으로 오류를 식별하기 위한 표준화된 문자열입니다.

message

string

자세한 오류 설명 및 디버깅 정보.

target

string

자세한 오류 설명 및 디버깅 정보.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.

VirtualIPMapping

가상 IP 매핑.

Name 형식 Description
inUse

boolean

가상 IP 매핑이 사용 중입니까?

internalHttpPort

integer (int32)

내부 HTTP 포트.

internalHttpsPort

integer (int32)

내부 HTTPS 포트.

serviceName

string

가상 IP가 할당된 서비스의 이름

virtualIP

string

가상 IP 주소.